/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.regression;

import javax.persistence.Embeddable;
import java.io.Serializable;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
@Embeddable
public class AccountNamePK implements Serializable
{
   private long accountId;
   private String locale;

   public AccountNamePK(long accountId, String local)
   {
      this.accountId = accountId;
      this.locale = local;
   }

   public AccountNamePK() {}

   public long getAccountId()
   {
      return accountId;
   }

   public void setAccountId(long accountId)
   {
      this.accountId = accountId;
   }

   public String getLocale()
   {
      return locale;
   }

   public void setLocale(String locale)
   {
      this.locale = locale;
   }
}
